Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Core.OAuthProvider (phoenix_kit v1.7.87)

Copy Markdown View Source

Reusable component for OAuth provider credential forms.

## Summary

### Functions

oauth_provider_credentials(assigns)

Renders an OAuth provider credential form with fields, test button, and setup instructions.

## Functions

# oauth_provider_credentials(assigns)

Renders an OAuth provider credential form with fields, test button, and setup instructions.

## Attributes

- `provider` - The provider name (:google, :apple, :github, :facebook)
- `enabled` - Boolean indicating if this provider is enabled
- `settings` - Map of current settings values
- `callback_url` - The OAuth callback URL for this provider

## Attributes

- `provider` (`:atom`) (required)
- `enabled` (`:boolean`) (required)
- `settings` (`:map`) (required)
- `callback_url` (`:string`) (required)